Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1269961 - Modifying user details such at IPA server UI, are not immediately reflected at client login.
Summary: Modifying user details such at IPA server UI, are not immediately reflected a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Aneta Šteflová Petrová
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-08 15:32 UTC by Nikhil Dehadrai
Modified: 2020-06-11 06:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-10 11:25:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nikhil Dehadrai 2015-10-08 15:32:57 UTC
Description of problem:
Modifying user details such as homedir, shell at IPA server UI, are not immediately reflected at client login. The details get up updated at the client system after 5 minutes approximately. 

Version-Release number of selected component (if applicable):
IPA server version: 4.2.0
sssd-1.13.0-36.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a user at the IPA server, defined with parameters such as homedir and shell. ( In my case user=test1,shell=/bin/bash,homedir=/home/test1)
2. Click Save and verify that the user and its details are correctly populated at the IPA server UI.
3. Now login to the client system using the created user in step1 and check homedir (using pwd) and shell (using echo $0)
4. Now at the server UI, modify the shell details.(In my case shell=/bin/sh)
5. Again login to the client system using the same user account and notice the shell details.
6. After 5 mins (approximately), again login to the client machine using the same user account and notice the shell.

Actual results:
1. After step3, the shell homedir and shell details are correctly reflected. (In my case shell=/bin/bash,homedir=/home/test1)
2. After step5, the shell homedir and shell details are not correctly reflected. (In my case shell=/bin/bash,homedir=/home/test1)
3. After step6, the shell homedir and shell details gets updated and is  correctly reflected. (In my case shell=/bin/sh,homedir=/home/test1)

Expected results:
After step5, the user details should be updated and reflected at the client system immediately.


Additional info: 
As per discussion with the DEV team, this is an expected behaviour and needs to be documented. 
The workaround to this would be by lowering the cache timeouts
or manually invalidate the cache at the client machine.

Comment 3 Aneta Šteflová Petrová 2017-03-27 12:42:58 UTC
Nikhil reviewed the update in an email. I've implemented his feedback.

To summarize the changes: Section 10.3. Editing Users now includes this paragraph:

----
After you update user details in the web UI, the new values are not synchronized immediately. It might take up to approximately 5 minutes before the new values are reflected at the client system.
----

Comment 5 Aneta Šteflová Petrová 2017-04-10 11:25:03 UTC
We've published the update. For the latest version of the guide, see https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Linux_Domain_Identity_Authentication_and_Policy_Guide/index.html


Note You need to log in before you can comment on or make changes to this bug.